# React-Redux-Websocket

A websocket Middleware

## What it does?

This middleware send and receive actions from a server, dispatching as needed

```js
const FOO = 'FOO';

function Bar() {
    return {
        type: FOO,
        payload: "Receive this"
        socket: {
            send: true
        }
    };
}
```

## Installation

```
npm install react-redux-websocket
```

Then, to enable Redux Thunk, use [`applyMiddleware()`](https://redux.js.org/api-reference/applymiddleware):

```js
import {createStore, applyMiddleware} from 'redux';
import thunk from 'redux-thunk';
import rootReducer from './reducers/index';

// Note: this API requires redux@>=3.1.0
const store = createStore(rootReducer, applyMiddleware(thunk));
```
